# [−][src]Function core::arch::wasm32::memory_atomic_notify

    pub unsafe fn memory_atomic_notify(ptr: *mut i32, waiters: u32) -> u32

🔬 This is a nightly-only experimental API. (`stdsimd` #48556)
This is supported on WebAssembly only.

Corresponding intrinsic to wasm's `memory.atomic.notify` instruction

This function will notify a number of threads blocked on the address indicated by `ptr`. Threads previously blocked with the `i32_atomic_wait` and `i64_atomic_wait` functions above will be woken up.

The `waiters` argument indicates how many waiters should be woken up (a maximum). If the value is zero no waiters are woken up.

# Return value

Returns the number of waiters which were actually notified.

# Availability

This intrinsic is only available when the standard library itself is compiled with the `atomics` target feature. This version of the standard library is not obtainable via `rustup`, but rather will require the standard library to be compiled from source.